Bug 203202 - [PATCH] devel/libvirt: add XEN option
Summary: [PATCH] devel/libvirt: add XEN option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Helfman
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-09-19 04:10 UTC by Roman Bogorodskiy
Modified: 2015-09-28 16:28 UTC (History)
0 users

See Also:
jgh: maintainer-feedback+


Attachments
add xen option (3.18 KB, patch)
2015-09-19 04:10 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bogorodskiy freebsd_committer 2015-09-19 04:10:13 UTC
Created attachment 161180 [details]
add xen option

Add XEN option that enables the libxl hypervisor driver.
Comment 1 Jason Helfman freebsd_committer 2015-09-22 16:41:34 UTC
Hi Roman. Does this cover the issues experienced in 202839?

Thanks!
-jgh
Comment 2 Roman Bogorodskiy freebsd_committer 2015-09-22 17:08:15 UTC
Yeah, in 202839 I just disabled the driver because it was detecting libxenlight presence on the system, but needed CFLAGS to compile.

This patch sets proper CFLAGS and LIBS for the driver if it's enabled and explicitly disables it if it's not enabled to prevent bogus auto-detection.
Comment 3 Jason Helfman freebsd_committer 2015-09-22 17:19:47 UTC
Hi Roman,

If you've tested this, and it builds with pourdiere, I am fine with you committing it with my approval. Let me know if you still want me to take care of this, otherwise passing you the pointyhat.

-jgh
Comment 4 commit-hook freebsd_committer 2015-09-28 16:28:13 UTC
A commit references this bug:

Author: novel
Date: Mon Sep 28 16:27:34 UTC 2015
New revision: 398122
URL: https://svnweb.freebsd.org/changeset/ports/398122

Log:
  Add XEN option that enables the libxl hypervisor driver.

  PR:		203202
  Approved by:	jgh (maintainer)

Changes:
  head/devel/libvirt/Makefile
  head/devel/libvirt/pkg-plist
Comment 5 Roman Bogorodskiy freebsd_committer 2015-09-28 16:28:58 UTC
Committed, thanks!